Xchat GNOME needs a monochrome icon

Bug #552774 reported by David Planella on 2010-03-31
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
xchat-gnome (Ubuntu)
Wishlist
HX_unbanned
Declined for Maverick by Sebastien Bacher
Lucid
Wishlist
HX_unbanned

Bug Description

Binary package hint: xchat-gnome

It would be nice to have a monochrome icon for XChat GNOME to match the Lucid theme.

What I expected:
"Ideally, Xchat-gnome should use application indicators, such as Rhythmbox and the sound preferences applet, and have a monochrome icon to match the Lucid theme, but if it is not possible to use indicators, then at least the icon should be monochrome to match the Lucid theme."

XChat GNOME is in main and it is quite a popular IRC client.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xchat-gnome 1:0.26.1-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Wed Mar 31 21:27:58 2010
ExecutablePath: /usr/bin/xchat-gnome
ProcEnviron:
 LANGUAGE=ca_ES:ca:en_GB:en
 LANG=ca_ES.utf8
 SHELL=/bin/bash
SourcePackage: xchat-gnome

David Planella (dpm) wrote :
Bryce Harrington (bryce) on 2010-04-03
Changed in xchat-gnome (Ubuntu Lucid):
importance: Undecided → Wishlist
milestone: none → ubuntu-10.04
status: New → Triaged
Changed in xchat-gnome (Ubuntu Lucid):
assignee: nobody → HX_unbanned (linards-liepins)
HX_unbanned (linards-liepins) wrote :

I will try to fullfill this wish :)

Changed in xchat-gnome (Ubuntu Lucid):
status: Triaged → In Progress
HX_unbanned (linards-liepins) wrote :

Please specify exact result or choose the implementation you wish:

1) There is Mono icon in the bar where Rhythmbox, Display, Volume is placed;
2) There are Mono icon in standard Indicator Applet, which therefore means I simply replace the Icon with Monochrome version.
3) You meant that There must be icon, which would be used for Legacy Monitors.

Setting status to Incomplete because it is unclear what whishlist's entry author meant.

Changed in xchat-gnome (Ubuntu Lucid):
status: In Progress → Incomplete
David Planella (dpm) wrote :

> Please specify exact result or choose the implementation you wish:
>
> 1) There is Mono icon in the bar where Rhythmbox, Display, Volume is placed;
> 2) There are Mono icon in standard Indicator Applet, which therefore means I simply replace the Icon with Monochrome version.

I'm not quite sure I understand the question, but it's definitely not 3). Ideally, Xchat-gnome should use application indicators, such as Rhythmbox and the sound preferences applet, and have a monochrome icon to match the Lucid theme, but if it is not possible to use indicators, then at least the icon should be monochrome to match the Lucid theme.

Changed in xchat-gnome (Ubuntu Lucid):
status: Incomplete → New
description: updated
HX_unbanned (linards-liepins) wrote :

Okay. I will replace main icon to Monochrome version in first place.
See for package at: ppa:linards-liepins/linuxdev
After that - I will try to enhance this fix and add Lucid-themed version, as requested.
Therefore - status changed.

Changed in xchat-gnome (Ubuntu Lucid):
status: New → In Progress
HX_unbanned (linards-liepins) wrote :
Download full text (11.7 KiB)

This is weird - cannot add anything to ppa because of dput and debuild issues ...

linards@linards-desktop:~$ cd "/home/linards/Documents/XChat_Dev"linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz ChangeLog.changes
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1.tar.gz
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1.tar.gz
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz CHANGES.changes
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1.tar.gz
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz CHANGES.changes
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1.tar.gz
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev <xchat-gnome-0.26.1.tar.gz CHANGES.changes>
bash: syntax error near unexpected token `newline'
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz CHANGES
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1.tar.gz
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz ChangeLog
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1.tar.gz
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1
Not a .changes file.
Please select a .changes file to upload.
Tried to upload: xchat-gnome-0.26.1
linards@linards-desktop:~/Documents/XChat_Dev$ dput ppa:linards-liepins/linuxdev xchat-gnome-0.26.1.tar.gz.changes
Can't open /home/linards/Documents/XChat_Dev/xchat-gnome-0.26.1.tar.gz.changes
linards@linards-desktop:~/Documents/XChat_Dev$ debuild -S -sa
The program 'debuild' is currently not installed. You can install it by typing:
sudo apt-get install devscripts
linards@linards-desktop:~/Documents/XChat_Dev$ sudo apt-get install devscripts
[sudo] password for linards:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  pwgen libfreebob0 python-pygoocanvas kdelibs4c2a docvert libqimageblitz4
  libboost-regex1.38.0 libpackagekit-glib2-12 python-beaker hplip-cups twolame
  kdelibs-data libgoocanvas-common python-sqlalchemy libxmu-headers
  libknotificationitem1 openoffice.org-hyphenation-en-us liblualib50 libass3
  libservlet2.4-java gnumeric-common libexiv2-5 python-nose gnumeric-doc
  libparted0 libswt-gtk-3.4-java libsqlite0-dev libphp-pclzip python-gtkspell
  alsaplayer-alsa libpackagekit-qt-12 sdparm libx264-67 mysql-server-core-5.1
  install-package jpegoptim python-celementtree fuseiso9660 fckeditor libcelt0
  libfltk1.1 libavahi-qt3-1 python-sip4 libxmu-dev openbsd-inetd libjline-jav...

Steve Langasek (vorlon) wrote :

out of time for wishlist changes for lucid.

Changed in xchat-gnome (Ubuntu Lucid):
status: In Progress → Won't Fix
Changed in xchat-gnome (Ubuntu):
status: In Progress → Confirmed
David Planella (dpm) wrote :

Note that the indicator part has already been implemented as an external package -> http://blogs.gnome.org/kenvandine/2010/01/12/xchat-indicator/, so it's just a matter of providing a monochrome icon.

HX_unbanned (linards-liepins) wrote :
HX_unbanned (linards-liepins) wrote :
HX_unbanned (linards-liepins) wrote :
Changed in xchat-gnome (Ubuntu):
status: Confirmed → Fix Committed
Changed in xchat-gnome (Ubuntu):
status: Fix Committed → In Progress
Rafael C. Brandão (rcbrandao) wrote :

xchat should get these monochrome icons as well

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers